package ru.dbotthepony.mc.otm.menu

import net.minecraft.world.SimpleContainer
import net.minecraft.world.entity.player.Inventory
import ru.dbotthepony.mc.otm.core.ImmutableList
import ru.dbotthepony.mc.otm.block.entity.storage.DriveRackBlockEntity
import ru.dbotthepony.mc.otm.registry.MMenus

class DriveRackMenu @JvmOverloads constructor(
	p_38852_: Int,
	inventory: Inventory,
	tile: DriveRackBlockEntity? = null
) : MatteryPoweredMenu(MMenus.DRIVE_RACK, p_38852_, inventory, tile) {
	override val storageSlots: List<MatterySlot>

	init {
		val container = tile?.container ?: SimpleContainer(4)

		storageSlots = ImmutableList(4) {
			val slot = DriveSlot(container, it)
			addSlot(slot)
			slot
		}

		addInventorySlots()
	}
}